Subject: Procedure library (again)
From: "Andrew Church" <[email-masked]>
To: "amos-list" <[email-masked]>
Date: 21 Sep 93 17:40:00 EST

When you send me a procedure for inclusion in the library, please also
include a short "readme" file (like those on Aminet) that describes what the
procedure's function is.  If possible, I'd also like an example program that
I can use to test the procedure, just to make sure it works.

  I'd prefer that you use the following format for your readme file:

[Required items]
NAME_OF_PROCEDURE
  Description   : A short description of the procedure's function.  1 or 2
                      sentences should be enough in most cases.
  Calling format: How to call the procedure, and what its parameters are.  E.g.
                  MYPROC[num1,num2,sumadr]
                      num1,num2 - numbers to work with
                      sumadr    - ADDRESS of sum (use Varptr())
  Return value  : What your procedure returns.  If none, write "None".
  Author        : Your name, and your e-mail address.
[Optional item]
  Special notes : If your procedure only works with AMOS Pro, or if it requires
                      a special library, or another procedure, say so here.  If
                      there's anything else you think I should know, put that
                      here too.

  --Andy Church